360鹰眼-更智能的Web安全监控系统

产品描述:

下一代web漏洞扫描器,她是一款硬件,包含:最全面的"爬出"引擎,不再需要收集资产清单,不再需要指定扫描时间,同步发现新上线业务漏洞

适用对象:

企业

价格服务:

目录价19.8万起
我了解,我要试用
高危高危

Struts2 S2-046命令执行漏洞(Header检测)

WASC Threat Classification

发现时间:

2017-05-11

漏洞类型:

命令执行

所属建站程序:

其他

所属服务器类型:

其他

所属编程语言:

Java

描述:

Apache Struts 2被曝存在远程命令执行漏洞,漏洞编号S2-046CVE编号CVE-2017-5638,在使用基于JakartaMultipart 解析器,有可能存在远程命令执行,导致系统被黑客入侵



+ 展开
危害:

恶意用户可在上传文件时构造恶意的上传请求,导致Struts2抛出异常,近而造成命令执行。


解决方案:


如您正在使用Jakarta Multipart 解析器(struts2框架默认使用 Jakarta Multipart解析器)

1、请升级Struts至安全版本(Struts2.3.322.5.10.1)https://github.com/apache/struts/releases

2、或更换其他Multipart解析器:https://cwiki.apache.org/confluence/display/WW/File+Upload#FileUpload-AlternateLibraries


如果你的网站服务器是Windows系统,建议使用"主机卫士"修复漏洞,点击下载
对该漏洞进行评论